import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.*;
import java.util.Timer;

public class midlet extends MIDlet {
 public static int timerInterval=1000;
 private Display display;
 public Timer timer=null;
 public midletTimerTask timertask=null;
 private midletCanvas canvas;
 private options options;

 public midlet () {
  display = Display.getDisplay(this);
  options = new options (true);
  options.read ();
  canvas  = new midletCanvas(this);
  timer = new Timer();
  timertask = new midletTimerTask (canvas);
  timer.scheduleAtFixedRate (timertask,0,(long)timerInterval);
 }
 
 protected void startApp() {
  display.setCurrent(canvas);
 }
 
 protected void pauseApp()  { }

 protected void destroyApp (boolean unconditional)  { 
  if (timertask != null) {
   timertask.cancel();
   timertask = null;
  }
  if (timer != null) {
   timer.cancel();
   timer = null;
  }
  if (options.changed==true) options.write ();
  options.close ();
 }

 public void exitMIDlet()  {
  destroyApp(true);
  notifyDestroyed();
 }
}

