import java.util.Calendar;
import java.util.Date;

class numericTimer {
 private Calendar now;
 private int hour,min,sec;

 public numericTimer () {
  getTime ();
 }

 public String oNum(int value) {
  if (value<10) return new String("0"+value); 
  else return new String(""+value);
 }

 public String getTimeString (int hour, int min) {
  return (oNum(hour)+":"+oNum(min));
 }

 public int compareTimes (int hour1,int min1,int hour2,int min2) {
  if (hour1<hour2) return -1;
  else if (hour1>hour2) return 1;
  else {
   if (min1<min2) return -1;
   else if (min1>min2) return 1;
   else return 0;
  }
 }

 private void getTime () {
  now=Calendar.getInstance();
  sec=now.get(Calendar.SECOND);
  min=now.get(Calendar.MINUTE);
  hour=now.get(Calendar.HOUR_OF_DAY);
 }

 public int getHour () {
  getTime ();
  return hour;
 }

 public int getMin () {
  getTime ();
  return min;
 }

 public int getSec () {
  getTime ();
  return sec;
 }

 public int [] nextTime (int hour, int min, int dmin) {
  while (dmin>59) { dmin-=60; hour++; if (hour==24) hour=0; }
  min+=dmin;
  if (min>59) { min%=60; hour++; if (hour==24) hour=0; }
  int [] n = new int [2];
  n[0] = hour;
  n[1] = min;
  return n;
 }

 public int [] nextPeriodicTime (int hourStart, int minStart, int hourNow, int minNow, int period) {
  int [] n = new int [2];
  do {
   n=nextTime (hourStart,minStart,period);
   if (
    (timeBetween (hourStart,minStart,hourNow,minNow,n[0],n[1])==true) &&
    (!((hourNow==n[0]) && (minNow==n[1])))
    ) return n;
   hourStart = n[0];
   minStart = n[1];
  } while (true);
 }

 public boolean timeBetween (int h1, int m1, int h, int m, int h2, int m2) {
  int c=compareTimes (h1,m1,h2,m2);
  if (c<0) {
   return (compareTimes (h1,m1,h,m)<=0 && compareTimes (h,m,h2,m2)<=0);
  }
  else if (c>0) {
   return (compareTimes (h,m,h2,m2)<=0 || compareTimes (h,m,h1,m1)>=0);
  }
  else return true;
 }

 public int abs (int v) {
  return (v>-1?v:-v);
 }

 public int secDifference (int h1, int m1, int s1, int h2, int m2, int s2) {
  return abs((h1*3600+m1*60+s1)-(h2*3600+m2*60+s2));
 }

}